> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# Get raw data - single incident

`GET https://api.pagerduty.com/analytics/raw/incidents/{id}`

Provides enriched incident data and metrics for a single incident.

Example metrics include Seconds to Resolve, Seconds to Engage, Snoozed Seconds, and Sleep Hour Interruptions. Metric definitions can be found in our [Knowledge Base](https://support.pagerduty.com/docs/insights#incidents-list).

<!-- theme: info -->
> **Note:** Data availability reflects [pipeline processing cycles](https://support.pagerduty.com/main/docs/insights#:~:text=Data%20Update%20Schedule) and is generally within 24 hours under normal conditions.

Scoped OAuth requires: `analytics.read`

## Authorization

- **api_key** (apiKey) — `Authorization` header. The API Key with format `Token token=<API_KEY>`

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `id` | string | yes | The ID of the resource. |

## Header parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `Accept` | string | yes | The `Accept` header is used as a versioning header. Default: `application/vnd.pagerduty+json;version=2`. |

## Response 200

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `acknowledged_user_ids` | array of string |  | The IDs of the users who acknowledged the incident. |
| `acknowledged_user_names` | array of string |  | The names of the users who acknowledged the incident. |
| `acknowledgement_count` | integer |  | Total count of acknowledgements in the incident. |
| `active_user_count` | integer |  | Total number of responders who either acknowledged the incident or accepted a responder request. |
| `assigned_user_ids` | array of string |  | The IDs of the users who were assigned the incident. |
| `assigned_user_names` | array of string |  | The names of the users who were assigned the incident. |
| `assignment_count` | integer |  | Total count of instances where responders were assigned an incident (including through reassignment or escalation). |
| `auto_resolved` | boolean |  | Whether or not the incident resolved automatically, either via an integration or [auto-resolved in PagerDuty](https://support.pagerduty.com/docs/configurable-service-settings#auto-resolution). |
| `business_hour_interruptions` | integer |  | Total number of unique interruptions during business hours; 8am-6pm Mon-Fri, based on the user’s time zone. |
| `created_at` | string |  | Timestamp of when the incident was created. |
| `updated_at` | string |  | Timestamp of when the incident was last updated by the analytics process. Does not match the updated_at for an incident returned by the standard REST api incidents endpoint. |
| `description` | string |  | The incident description. |
| `engaged_seconds` | integer |  | Total engaged time across all responders for this incident. Engaged time is measured from the time a user engages with an incident (by acknowledging or accepting a responder request) until the incident is resolved. This may include periods in which the incidents were snoozed. |
| `engaged_user_count` | integer |  | Total number of users who engaged (acknowledged, accepted responder request) in the incident. |
| `escalation_count` | integer |  | Total count of instances where an incident is escalated between responders assigned to an escalation policy. |
| `escalation_policy_id` | string |  | ID of the escalation policy the incident was assigned to. |
| `escalation_policy_name` | string |  | Name of the escalation policy the incident was assigned to. |
| `id` | string |  | Incident ID. |
| `incident_number` | integer |  | The PagerDuty incident number. |
| `incident_type_id` | string |  | ID of the Incident Type. |
| `incident_type_name` | string |  | The name of the Incident Type. |
| `joined_user_ids` | array of string |  | The IDs of the users who either acknowledged the incident or accepted a responder request. |
| `joined_user_names` | array of string |  | The names of the users who either acknowledged the incident or accepted a responder request. |
| `major` | boolean |  | An incident is classified as a [major incident](https://support.pagerduty.com/docs/operational-reviews#major-incidents) if it has one of the two highest priorities, or if multiple responders are added and acknowledge the incident. |
| `manual_escalation_count` | integer |  | Total count of manual escalations in the incident. |
| `off_hour_interruptions` | integer |  | Total number of unique interruptions during off hours; 6pm-10pm Mon-Fri and all day Sat-Sun, based on the user’s time zone. |
| `priority_id` | string \| null |  | ID of the incident's priority level. |
| `priority_name` | string \| null |  | The user-provided short name of the priority. |
| `priority_order` | integer \| null |  | The numerical value used to sort priorities. Higher values are higher priority. |
| `reassignment_count` | integer |  | Total count of reassignments in the incident. |
| `resolved_at` | string |  | Timestamp of when the incident was resolved. |
| `resolved_by_user_id` | string |  | ID of the user who resolved the incident. |
| `resolved_by_user_name` | string |  | Name of the user who resolved the incident. |
| `seconds_to_engage` | integer |  | A measure of *people response time*. This metric measures the time from the first user engagement (acknowledge or responder accept) to the last. This metric is only used for incidents with **multiple responders**; for incidents with one or no engaged users, this value is null. |
| `seconds_to_first_ack` | integer |  | Time between the start of an incident, and the first responder to acknowledge. |
| `seconds_to_mobilize` | integer |  | Time between the start of an incident, and the last additional responder to acknowledge. If an incident has one or no responders, the value will be null. |
| `seconds_to_resolve` | integer |  | Time from when an incident was triggered until it was resolved. |
| `service_id` | string |  | ID of the service that the incident triggered on. |
| `service_name` | string |  | Name of the service that the incident triggered on. |
| `sleep_hour_interruptions` | integer |  | Total number of unique interruptions during sleep hours; 10pm-8am every day, based on the user’s time zone. |
| `snoozed_seconds` | integer |  | Total seconds the incident has been snoozed for. |
| `status` | string |  | The incident status. Can be one of `triggered`, `acknowledged`, or `resolved`. |
| `team_id` | string \| null |  | ID of the team the incident was assigned to. |
| `team_name` | string \| null |  | Name of the team the incident was assigned to. |
| `timeout_escalation_count` | integer |  | Total count of timeout escalations in the incident. |
| `total_interruptions` | integer |  | Total number of unique interruptions in the incident. |
| `total_notifications` | integer |  | Total number of notifications sent for the incident. |
| `urgency` | string |  | Notification level. |
| `user_defined_effort_seconds` | integer \| null |  | The total response effort in seconds, [as defined by the user](https://support.pagerduty.com/docs/editing-incidents#edit-incident-duration). |

Example: Example Response

```json
{
  "time_zone": "Etc/UTC",
  "data": {
    "acknowledged_user_ids": [
      "PRJ4208"
    ],
    "acknowledged_user_names": [
      "Santos Dicera"
    ],
    "acknowledgement_count": 1,
    "active_user_count": 2,
    "assigned_user_ids": [
      "PRJ4208",
      "PA02301"
    ],
    "assigned_user_names": [
      "Santos Dicera",
      "Jane Doe"
    ],
    "assignment_count": 2,
    "auto_resolved": false,
    "business_hour_interruptions": 0,
    "created_at": "2024-01-01T21:00:00Z",
    "updated_at": "2024-06-01T00:00:00Z",
    "description": "The server is on fire!",
    "engaged_seconds": 75,
    "engaged_user_count": 2,
    "escalation_count": 0,
    "escalation_policy_id": "PCI3U5T",
    "escalation_policy_name": "Sputnik",
    "id": "PJASD33",
    "incident_number": 924,
    "incident_type_id": "PIJ90N7",
    "incident_type_name": "incident_default",
    "joined_user_ids": [
      "PRJ4208",
      "PA02301"
    ],
    "joined_user_names": [
      "Santos Dicera",
      "Jane Doe"
    ],
    "major": true,
    "manual_escalation_count": 0,
    "off_hour_interruptions": 2,
    "priority_id": "PZOZQXA",
    "priority_name": "SEV-1",
    "priority_order": 67108864,
    "reassignment_count": 0,
    "resolved_at": "2024-01-02T21:01:00Z",
    "resolved_by_user_id": "PRJ4208",
    "resolved_by_user_name": "Santos Dicera",
    "seconds_to_engage": 30,
    "seconds_to_first_ack": 15,
    "seconds_to_mobilize": 15,
    "seconds_to_resolve": 60,
    "service_id": "PAQTPI2",
    "service_name": "Engineering",
    "sleep_hour_interruptions": 0,
    "snoozed_seconds": 0,
    "status": "resolved",
    "team_id": "PNVU4UR",
    "team_name": "Engineering team 7",
    "timeout_escalation_count": 0,
    "total_interruptions": null,
    "total_notifications": 2,
    "urgency": "high",
    "user_defined_effort_seconds": null
  }
}
```

## Response 404

The requested resource was not found.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 429

Too many requests have been made, the rate limit has been reached.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
